Bug 212658 - security/amap: Update to 5.4
Summary: security/amap: Update to 5.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-13 15:07 UTC by Ben Woods
Modified: 2016-09-17 00:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (onatan)


Attachments
Patch to update security/amap to 5.4 (5.30 KB, patch)
2016-09-13 15:07 UTC, Ben Woods
woodsb02: maintainer-approval? (onatan)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-09-13 15:07:21 UTC
Created attachment 174730 [details]
Patch to update security/amap to 5.4

security/amap: Update to 5.4

- Add LICENSE details (both GPLv2 and AMAP license must be accepted)
- Change from deprecated USE_OPENSSL=yes to USES=ssl
- Refactor patches with makepatch (pet portlint)
Comment 1 Ben Woods freebsd_committer 2016-09-13 15:08:56 UTC
Changes this release:
  https://www.thc.org/thc-amap/
Comment 2 onatan 2016-09-15 06:27:35 UTC
Maintainer approved.
Comment 3 Adam Weinberger freebsd_committer 2016-09-15 12:54:55 UTC
Looks good here too.
Comment 4 Ben Woods freebsd_committer 2016-09-17 00:04:32 UTC
Committed - thanks for the feedback :)
Comment 5 commit-hook freebsd_committer 2016-09-17 00:04:45 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Sep 17 00:04:00 UTC 2016
New revision: 422290
URL: https://svnweb.freebsd.org/changeset/ports/422290

Log:
  security/amap: Update to 5.4

  - Add LICENSE details (both GPLv2 and AMAP license must be accepted)
  - Refactor patches with makepatch (pet portlint)

  Changes this release:
    https://www.thc.org/thc-amap/

  PR:		212658
  Approved by:	onatan@gmail.com (maintainer), adamw (mentor)

Changes:
  head/security/amap/Makefile
  head/security/amap/distinfo
  head/security/amap/files/patch-amap-lib.c
  head/security/amap/files/patch-pcre-3.9_chartables.c
  head/security/amap/files/patch-pcre-chartables.c